/**
 * @version		$Id$
 * @author		Pham Minh Tuan (admin@extstore.com)
 * @package		Joomla.Site
 * @subpakage	Skyline.AdminFloatingToolbar
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

var Skyline_FloatingPanel = new Class({
	Implements: [Options],
	
	options: {
		'elements':	'.float_panel',
		'class':	'floating'
	},

	initialize: function(options) {
		this.setOptions(options);
		
		$$(this.options.elements).each(function(el) {
			var width			= el.offsetWidth;
			var originalTop		= el.getTop();
			var originalOffset	= el.getStyle('top').toInt();

			window.addEvent('scroll', function() {
				var offsetTop		= el.offsetTop.toInt();
				var s				= window.getScrollTop().toInt();
				var fixMe			= s > offsetTop;
				var repositionMe	= s < originalTop;

				if (fixMe) {
					el.addClass(this.options.class);
				}

				if (repositionMe) {
					el.removeClass(this.options.class);
				}
			}.bind(this));
		}.bind(this));
	}
});