<?php
/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die();

jimport('joomla.plugin.plugin');

/**
 * System - Floating Admin Toolbar Plugin
 *
 * @package		Joomla.Plugin
 * @subpakage	Skyline.FloatingAdminToolbar
 */
class plgSystemSL_FloatingAdminToolbar extends JPlugin {

	/**
	 * Constructor.
	 *
	 * @param 	$subject
	 * @param	array $config
	 */
	function __construct(&$subject, $config = array()) {
		// call parent constructor
		parent::__construct($subject, $config);
	}

	/**
	 * onAfterRoute hook.
	 */
	function onAfterRoute() {
		$app	= JFactory::getApplication();

		if ($app->isAdmin()) {
			JHtml::_('behavior.mootools');
			// get plugin params
			$selector	= $this->params->get('selector', '#toolbar-box .m');
			$class		= $this->params->get('class', 'floating_panel');
			$custom_css	= $this->params->get('custom_css');

			$document	= JFactory::getDocument();
			$document->addStyleSheet(JURI::root(true) . '/plugins/system/sl_floatingadmintoolbar/assets/css/style.css');
			if ($custom_css) {
				$document->addStyleDeclaration($custom_css);
			}
			$document->addScript(JURI::root(true) . '/plugins/system/sl_floatingadmintoolbar/assets/js/floating_panel.js');

			$js	= <<<FLOATINGTOOLBARJS
window.addEvent('domready', function() {
	var sl_floating_panel	= new Skyline_FloatingPanel({
		'elements':	'$selector',
		'class':	'$class'
	});
});
FLOATINGTOOLBARJS;

			$document->addScriptDeclaration($js);
		}
	}
	
}